UNIT Initialization(6);
(* This unit contains the initialization routines for the FontShow program *)
(* Version 1.0 by Richard Clark, September 1988 *)
{$U-}
{$D+}

INTERFACE

  {$U Globals}
  {$U Windows}
  {$U Menus}
  {$U MemHandler}

  USES
    MemTypes, QuickDraw, OSIntf, ToolIntf, PackIntf,
    Globals, Windows, Menus, MemHandler;


  PROCEDURE Initialize;                              (* Set up everything *)

IMPLEMENTATION

  PROCEDURE Initialize;
  (* Set up the toolbox managers and our various units *)
  BEGIN
  		InitGraf(@thePort);                             (* First, initialize the toolbox managers *)
  		InitFonts;
  		InitWindows;
  		InitMenus;
  		TEInit;
  		InitDialogs(@SafetyNet);                        (* If a System Error occurs, pressing "resume" *)
                                                    (* will call the SafetyNet procedure.          *)
                                                    (* NOTE: For us to reference the address of a  *)
                                                    (* procedure like this, it has to be declared  *)
                                                    (* in the INTERFACE part of a unit, and it has *)
                                                    (* to be in memory all of the time.  So, the   *)
                                                    (* SafetyNet procedure is declared in our      *)
                                                    (* Globals unit (part of the Main segment)     *)

  		FlushEvents(everyEvent, 0);                     (* Remove any queued events *)

  		InitGlobals;
  		InitMemoryHandler;                              (* Add the procedure which watches for an "out of memory" condition *)
  		InitMyMenus;

  		InitCursor;                                     (* Set the cursor to an arrow *)
	  END; (* Initialize *)

END.